
@echo off

echo Copying faspstream binaries to samples directory...
echo.
copy /y ..\..\lib\*.dll ..
copy /y ..\..\lib\x64\*.dll ..
copy /y ..\..\lib\poco\bin\*.dll ..
copy /y ..\..\lib\poco\bin\*.dll ..
copy /y ..\..\bin\Windows\* ..

echo.
echo Checking for aspera.conf and aspera-license...
echo.
if not exist ..\aspera.conf (
	echo ERROR
	echo You must have an aspera.conf configuration
	echo file ^(with that name^) in the samples
	echo directory in order to run the sample
	echo applications.
	exit 1
	)
if not exist ..\aspera-license (
	echo ERROR
	echo You must have an aspera license in
	echo the samples directory with the name
	echo `aspera-license' in order to run
	echo the examples.
	exit 1
	)